package cn.com.poc.writing.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.writing.entity.BizAiWritingExampleEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiWritingExampleService extends BaseService {

    BizAiWritingExampleEntity get(java.lang.Long id) throws Exception;

    List<BizAiWritingExampleEntity> findByExample(BizAiWritingExampleEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiWritingExampleEntity save(BizAiWritingExampleEntity entity) throws Exception;

    BizAiWritingExampleEntity update(BizAiWritingExampleEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}